Service.HandlerRegistryImpl (Axis API)
Keywords: org.apache.axis.client.Service.HandlerRegistryImpl,Service.HandlerRegistryImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class Service.HandlerRegistryImpl

    java.lang.Object
      |
      +--org.apache.axis.client.Service.HandlerRegistryImpl

All Implemented Interfaces:
  HandlerRegistry, java.io.Serializable

Enclosing class:
  Service

protected static class Service.HandlerRegistryImpl
extends java.lang.Object
implements HandlerRegistry

See Also:
  Serialized Form

Constructor Summary
`protected` | `Service.HandlerRegistryImpl()`

Method Summary
`java.util.List` | `getHandlerChain(QName portName)` Gets the handler chain for the specified service endpoint.
`void` | `setHandlerChain(QName portName, java.util.List chain)` Sets the handler chain for the specified service endpoint as a `java.util.List`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Service.HandlerRegistryImpl

    protected Service.HandlerRegistryImpl()

Method Detail

### getHandlerChain

    public java.util.List getHandlerChain(QName portName)

  Description copied from interface: `HandlerRegistry`
  Gets the handler chain for the specified service endpoint. The returned `List` is used to configure this specific handler chain in this `HandlerRegistry`. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`.

  Specified by:
    `getHandlerChain` in interface `HandlerRegistry`
  Parameters:
    `portName` - Qualified name of the target service
  Returns:
    HandlerChain java.util.List Handler chain

### setHandlerChain

    public void setHandlerChain(QName portName,
                                java.util.List chain)

  Description copied from interface: `HandlerRegistry`
  Sets the handler chain for the specified service endpoint as a `java.util.List`. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`.

  Specified by:
    `setHandlerChain` in interface `HandlerRegistry`
  Parameters:
    `portName` - Qualified name of the target service endpoint
    `chain` - A List representing configuration for the handler chain

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.